import{S as De,i as Je,s as Ke,e as r,k as h,w as Qe,t as o,N as Ve,c as i,d as t,m as u,a as d,x as Xe,h as n,b as c,G as a,g as l,y as Ye,L as Ze,q as et,o as tt,B as at,v as ot}from"../chunks/vendor-hf-doc-builder.js";import{I as nt}from"../chunks/IconCopyLink-hf-doc-builder.js";function st(Ie){let m,z,f,g,F,A,ne,S,se,G,v,re,T,ie,de,O,C,le,q,L,ce,N,x,he,R,w,ue,p,me,$,fe,pe,ge,U,b,ve,H,we,be,j,y,ye,E,_e,ke,B,_,Me,P,Ae,Ee,D,k,Ce,W,Le,xe,J,M,He,I,Pe,We,K;return A=new nt({}),{c(){m=r("meta"),z=h(),f=r("h1"),g=r("a"),F=r("span"),Qe(A.$$.fragment),ne=h(),S=r("span"),se=o("Model Card Guidebook"),G=h(),v=r("p"),re=o("Model cards are an important documentation and transparency framework for machine learning models. We believe that model cards have the potential to serve as "),T=r("em"),ie=o("boundary objects"),de=o(", a single artefact that is accessible to users who have different backgrounds and goals when interacting with model cards \u2013 including developers, students, policymakers, ethicists, those impacted by machine learning models, and other stakeholders. We recognize that developing a single artefact to serve such multifaceted purposes is difficult and requires careful consideration of potential users and use cases. Our goal as part of the Hugging Face science team over the last several months has been to help operationalize model cards towards that vision, taking into account these challenges, both at Hugging Face and in the broader ML community."),O=h(),C=r("p"),le=o("To work towards that goal, it is important to recognize the thoughtful, dedicated efforts that have helped model cards grow into what they are today, from the adoption of model cards as a standard practice at many large organisations to the development of sophisticated tools for hosting and generating model cards. Since model cards were proposed by Mitchell et al. (2018), the landscape of machine learning documentation has expanded and evolved. A plethora of documentation tools and templates for data, models, and ML systems have been proposed and have developed \u2013 reflecting the incredible work of hundreds of researchers, impacted community members, advocates, and other stakeholders. Important discussions about the relationship between ML documentation and theories of change in responsible AI have created continued important discussions, and at times, divergence. We also recognize the challenges facing model cards, which in some ways mirror the challenges facing machine learning documentation and responsible AI efforts more generally, and we see opportunities ahead to help shape both model cards and the ecosystems in which they function positively in the months and years ahead."),q=h(),L=r("p"),ce=o("Our work presents a view of where we think model cards stand right now and where they could go in the future, at Hugging Face and beyond. This work is a \u201Csnapshot\u201D of the current state of model cards, informed by a landscape analysis of the many ways ML documentation artefacts have been instantiated. It represents one perspective amongst multiple about both the current state and more aspirational visions of model cards. In this blog post, we summarise our work, including a discussion of the broader, growing landscape of ML documentation tools, the diverse audiences for and opinions about model cards, and potential new templates for model card content. We also explore and develop model cards for machine learning models in the context of the Hugging Face Hub, using the Hub\u2019s features to collaboratively create, discuss, and disseminate model cards for ML models."),N=h(),x=r("p"),he=o("With the launch of this Guidebook, we introduce several new resources and connect together previous work on Model Cards:"),R=h(),w=r("p"),ue=o("1) An updated Model Card template, released in "),p=r("a"),me=o("the "),$=r("code"),fe=o("huggingface_hub"),pe=o(" library"),ge=o(", drawing together Model Card work in academia and throughout the industry."),U=h(),b=r("p"),ve=o("2) An "),H=r("a"),we=o("Annotated Model Card Template"),be=o(", which details how to fill the card out."),j=h(),y=r("p"),ye=o("3) A "),E=r("a"),_e=o("Model Card Creator Tool"),ke=o(", to ease card creation without needing to program, and to help teams share the work of different sections."),B=h(),_=r("p"),Me=o("4) A "),P=r("a"),Ae=o("User Study"),Ee=o(" on Model Card usage at Hugging Face"),D=h(),k=r("p"),Ce=o("5) A "),W=r("a"),Le=o("Landscape Analysis and Literature Review"),xe=o(" of the state of the art in model documentation."),J=h(),M=r("p"),He=o("We also include an "),I=r("a"),Pe=o("Appendix"),We=o(" with further details from this work."),this.h()},l(e){const s=Ve('[data-svelte="svelte-1phssyn"]',document.head);m=i(s,"META",{name:!0,content:!0}),s.forEach(t),z=u(e),f=i(e,"H1",{class:!0});var Q=d(f);g=i(Q,"A",{id:!0,class:!0,href:!0});var Fe=d(g);F=i(Fe,"SPAN",{});var Se=d(F);Xe(A.$$.fragment,Se),Se.forEach(t),Fe.forEach(t),ne=u(Q),S=i(Q,"SPAN",{});var Te=d(S);se=n(Te,"Model Card Guidebook"),Te.forEach(t),Q.forEach(t),G=u(e),v=i(e,"P",{});var V=d(v);re=n(V,"Model cards are an important documentation and transparency framework for machine learning models. We believe that model cards have the potential to serve as "),T=i(V,"EM",{});var $e=d(T);ie=n($e,"boundary objects"),$e.forEach(t),de=n(V,", a single artefact that is accessible to users who have different backgrounds and goals when interacting with model cards \u2013 including developers, students, policymakers, ethicists, those impacted by machine learning models, and other stakeholders. We recognize that developing a single artefact to serve such multifaceted purposes is difficult and requires careful consideration of potential users and use cases. Our goal as part of the Hugging Face science team over the last several months has been to help operationalize model cards towards that vision, taking into account these challenges, both at Hugging Face and in the broader ML community."),V.forEach(t),O=u(e),C=i(e,"P",{});var ze=d(C);le=n(ze,"To work towards that goal, it is important to recognize the thoughtful, dedicated efforts that have helped model cards grow into what they are today, from the adoption of model cards as a standard practice at many large organisations to the development of sophisticated tools for hosting and generating model cards. Since model cards were proposed by Mitchell et al. (2018), the landscape of machine learning documentation has expanded and evolved. A plethora of documentation tools and templates for data, models, and ML systems have been proposed and have developed \u2013 reflecting the incredible work of hundreds of researchers, impacted community members, advocates, and other stakeholders. Important discussions about the relationship between ML documentation and theories of change in responsible AI have created continued important discussions, and at times, divergence. We also recognize the challenges facing model cards, which in some ways mirror the challenges facing machine learning documentation and responsible AI efforts more generally, and we see opportunities ahead to help shape both model cards and the ecosystems in which they function positively in the months and years ahead."),ze.forEach(t),q=u(e),L=i(e,"P",{});var Ge=d(L);ce=n(Ge,"Our work presents a view of where we think model cards stand right now and where they could go in the future, at Hugging Face and beyond. This work is a \u201Csnapshot\u201D of the current state of model cards, informed by a landscape analysis of the many ways ML documentation artefacts have been instantiated. It represents one perspective amongst multiple about both the current state and more aspirational visions of model cards. In this blog post, we summarise our work, including a discussion of the broader, growing landscape of ML documentation tools, the diverse audiences for and opinions about model cards, and potential new templates for model card content. We also explore and develop model cards for machine learning models in the context of the Hugging Face Hub, using the Hub\u2019s features to collaboratively create, discuss, and disseminate model cards for ML models."),Ge.forEach(t),N=u(e),x=i(e,"P",{});var Oe=d(x);he=n(Oe,"With the launch of this Guidebook, we introduce several new resources and connect together previous work on Model Cards:"),Oe.forEach(t),R=u(e),w=i(e,"P",{});var X=d(w);ue=n(X,"1) An updated Model Card template, released in "),p=i(X,"A",{href:!0,rel:!0});var Y=d(p);me=n(Y,"the "),$=i(Y,"CODE",{});var qe=d($);fe=n(qe,"huggingface_hub"),qe.forEach(t),pe=n(Y," library"),Y.forEach(t),ge=n(X,", drawing together Model Card work in academia and throughout the industry."),X.forEach(t),U=u(e),b=i(e,"P",{});var Z=d(b);ve=n(Z,"2) An "),H=i(Z,"A",{href:!0});var Ne=d(H);we=n(Ne,"Annotated Model Card Template"),Ne.forEach(t),be=n(Z,", which details how to fill the card out."),Z.forEach(t),j=u(e),y=i(e,"P",{});var ee=d(y);ye=n(ee,"3) A "),E=i(ee,"A",{href:!0,rel:!0});var Re=d(E);_e=n(Re,"Model Card Creator Tool"),Re.forEach(t),ke=n(ee,", to ease card creation without needing to program, and to help teams share the work of different sections."),ee.forEach(t),B=u(e),_=i(e,"P",{});var te=d(_);Me=n(te,"4) A "),P=i(te,"A",{href:!0});var Ue=d(P);Ae=n(Ue,"User Study"),Ue.forEach(t),Ee=n(te," on Model Card usage at Hugging Face"),te.forEach(t),D=u(e),k=i(e,"P",{});var ae=d(k);Ce=n(ae,"5) A "),W=i(ae,"A",{href:!0});var je=d(W);Le=n(je,"Landscape Analysis and Literature Review"),je.forEach(t),xe=n(ae," of the state of the art in model documentation."),ae.forEach(t),J=u(e),M=i(e,"P",{});var oe=d(M);He=n(oe,"We also include an "),I=i(oe,"A",{href:!0});var Be=d(I);Pe=n(Be,"Appendix"),Be.forEach(t),We=n(oe," with further details from this work."),oe.forEach(t),this.h()},h(){c(m,"name","hf:doc:metadata"),c(m,"content",JSON.stringify(rt)),c(g,"id","model-card-guidebook"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#model-card-guidebook"),c(f,"class","relative group"),c(p,"href","https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/templates/modelcard_template.md"),c(p,"rel","nofollow"),c(H,"href","./model-card-annotated"),c(E,"href","https://huggingface.co/spaces/huggingface/Model_Cards_Writing_Tool"),c(E,"rel","nofollow"),c(P,"href","./model-cards-user-studies"),c(W,"href","./model-card-landscape-analysis"),c(I,"href","./model-card-appendix")},m(e,s){a(document.head,m),l(e,z,s),l(e,f,s),a(f,g),a(g,F),Ye(A,F,null),a(f,ne),a(f,S),a(S,se),l(e,G,s),l(e,v,s),a(v,re),a(v,T),a(T,ie),a(v,de),l(e,O,s),l(e,C,s),a(C,le),l(e,q,s),l(e,L,s),a(L,ce),l(e,N,s),l(e,x,s),a(x,he),l(e,R,s),l(e,w,s),a(w,ue),a(w,p),a(p,me),a(p,$),a($,fe),a(p,pe),a(w,ge),l(e,U,s),l(e,b,s),a(b,ve),a(b,H),a(H,we),a(b,be),l(e,j,s),l(e,y,s),a(y,ye),a(y,E),a(E,_e),a(y,ke),l(e,B,s),l(e,_,s),a(_,Me),a(_,P),a(P,Ae),a(_,Ee),l(e,D,s),l(e,k,s),a(k,Ce),a(k,W),a(W,Le),a(k,xe),l(e,J,s),l(e,M,s),a(M,He),a(M,I),a(I,Pe),a(M,We),K=!0},p:Ze,i(e){K||(et(A.$$.fragment,e),K=!0)},o(e){tt(A.$$.fragment,e),K=!1},d(e){t(m),e&&t(z),e&&t(f),at(A),e&&t(G),e&&t(v),e&&t(O),e&&t(C),e&&t(q),e&&t(L),e&&t(N),e&&t(x),e&&t(R),e&&t(w),e&&t(U),e&&t(b),e&&t(j),e&&t(y),e&&t(B),e&&t(_),e&&t(D),e&&t(k),e&&t(J),e&&t(M)}}}const rt={local:"model-card-guidebook",title:"Model Card Guidebook "};function it(Ie){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ct extends De{constructor(m){super();Je(this,m,it,st,Ke,{})}}export{ct as default,rt as metadata};
